=== debian/changelog ===
ros-indigo-moveit-ros-planning-interface (0.7.14-1trusty) trusty; urgency=high

  * [fix] fix race conditions when updating PlanningScene #350 <https://github.com/ros-planning/moveit/issues/350>
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.13-1trusty) trusty; urgency=high

  * [fix] MoveGroupInterface: Fixed computeCartesianPath to use selected end-effector. (#580 <https://github.com/ros-planning/moveit/issues/580>)
  * [improve] Disabled copy constructors and added a move constructor to MoveGroupInterface (#664 <https://github.com/ros-planning/moveit/issues/664>)
  * Contributors: 2scholz, Dennis Hartmann, Jonathan Meyer, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.9-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.8-1trusty) trusty; urgency=high

  * [enhancement][MoveGroup] Add getLinkNames function (#440 <https://github.com/ros-planning/moveit/issues/440>)
  * [doc][moveit_commander] added description for set_start_state (#447 <https://github.com/ros-planning/moveit/issues/447>)
  * Contributors: Dmitry Rozhkov, Isaac I.Y. Saito, henhenhen

 -- Ioan Sucan <isucan@google.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.7-1trusty) trusty; urgency=high

  * move_group.cpp: seg fault bug fix (#426 <https://github.com/ros-planning/moveit/issues/426>)
    Fixed a bug with casting CallbackQueueInterface * to ros::CallbackQueue * without a check.
    https://github.com/ros-planning/moveit/issues/425
  * install planning_interface python test
    This test is reference in the tutorials and should also work with installed workspaces
    http://docs.ros.org/kinetic/api/moveit_tutorials/html/doc/tests.html#integration-test
  * [moveit_ros] Missing test_depend. (#412 <https://github.com/ros-planning/moveit/issues/412>)
  * clang-format
  * PSI: make all logs _NAMED
  * PSI: point out synchronicity behavior of apply* and add/removeObjects interfaces
  * remove obsolete mutable declaration
    This was only required for the proposal to change the behavior of the add/remove functions.
    Now that I added the apply* interfaces, this is not relevant anymore.
  * PSI: add apply* functions that use ApplyPlanningScene.srv
    to update move_group's PlanningScene
  * Use ApplyPlanningSceneService in planning_scene_interface
    Added helper function to call ApplyPlanningScene service
    with fallback to asynchronous processing via "planning_scene"
    topic.
  * clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Andreas Köpf, Bastian Gaspers, Dave Coleman, Isaac I.Y. Saito, v4hn

 -- Ioan Sucan <isucan@google.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.2-1trusty) trusty; urgency=high

  * Issue #630 <https://github.com/ros-planning/moveit_ros/issues/630>: remove color information from addCollisionObjects method
  * attachment to the commit: fab50d487d86aa4011fb05e41e694b837eca92df
    For more information see the specified commit.
  * planning_interface: Set is_diff true for empty start state
    Executing a motion without setting the start state of the robot like
    this:
    ```
    group_arm.setNamedTarget("start_grab_pose");
    success = group_arm.move();
    ```
    throws the error: Execution of motions should always start at the robot's
    current state. Ignoring the state supplied as start state in the motion
    planning request.
    The problem is, when considered_start_state_ is null, every data field of the start_state
    in the submitted MotionPlanRequest is 0 or false. But we need is_diff to be
    true, because otherwise move_group will not consider its current state as
    actual start state without complaining.
  * Implement issue #630 <https://github.com/ros-planning/moveit_ros/issues/630>
  * Contributors: Yannick Jonetzko, corot

 -- Ioan Sucan <isucan@google.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.1-1trusty) trusty; urgency=high

  * [feat] Adding acceleration scaling factor
  * [fix] conflict issues
  * [doc] [move_group.cpp] Print the name of the move group action server that failed to be connected (#640 <https://github.com/ros-planning/moveit_ros/issues/640>)
  * Contributors: Dave Coleman, Isaac I.Y. Saito, hemes

 -- Ioan Sucan <isucan@google.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros-planning-interface (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * new method MoveGroup::getDefaultPlannerId(const std::string &group)

