=== debian/control ===
Source: ros-indigo-moveit-ros-planning-interface
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, python-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-moveit-resources, ros-indigo-moveit-ros-manipulation, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-warehouse, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-tf, ros-indigo-tf-conversions
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dev, ros-indigo-actionlib, ros-indigo-eigen-conversions, ros-indigo-moveit-ros-manipulation, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-warehouse, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-tf, ros-indigo-tf-conversions
Description: Components of MoveIt that offer simpler interfaces to planning and execution
